<?php

require_once("$HTTP_SERVER_VARS[DOCUMENT_ROOT]/roster/lib/wowdb.php");


function removeCrapFromToolTip( $input){

    for ( $counter = 0; $counter <= strlen($input); $counter += 1) {
      $aChar = substr( $input, $counter, 1);


            if (
               ((ord($aChar) < 65 ) or (ord($aChar) > 90 )) and // A..Z
               ((ord($aChar) < 97 ) or (ord($aChar) > 122 )) and  // a..z
               ((ord($aChar) < 48 ) or (ord($aChar) > 57 )) and // 1..9

               (ord($aChar) != 32) and
               (ord($aChar) != 60) and
               (ord($aChar) != 62) and
               (ord($aChar) != 38) and
               (ord($aChar) != 124) and
               (ord($aChar) != 43) and // +
               (ord($aChar) != 47) and // /

               (ord($aChar) != 58) and // :
               (ord($aChar) != 46) and // .
               (ord($aChar) != 0) and // NULL
               (ord($aChar) != 13) and // NULL

               (ord($aChar) != 9)

               ) {
                 $aChar = '';

                       }
            else {
              $output.=$aChar;
            }

    }

    return $output;
}


function sortOutTooltip( $input, $color, $owner){
  $input = str_replace( chr(13), '',  $input);
  $input = str_replace( chr(39), '',  $input);
  $input = str_replace( chr(60), '',  $input);
  $input = str_replace( chr(62), '',  $input);


  $tooltip = '<span class=\"$class\" style=\"color:black; padding-bottom: 2; padding-top: 2; padding-left: 10; padding-right: 10;text-align: center; background-color: white; width: 100; font-size: 10px;\">'.$owner.'</span><BR>';

  $first_line = True;
  foreach (explode(chr(10), $input) as $line ) {
          $class='tooltipline';
          if( $first_line ) {
                  $color = substr( $color, 2, 6 ) . '; font-weight: bold';
                  $first_line = False;
                  $class='tooltipheader';
          } else {
                  if( substr( $line, 0, 2 ) == '|c' ) {
                          $color = substr( $line, 4, 6 ).'; font-size: 10px;';
                          $line = substr( $line, 10, -2 );
                  } else if ( substr( $line, 0, 4 ) == 'Use:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 8 ) == 'Requires' ) {
                          $color = 'ff0000; font-size: 10px;';
                  } else if ( substr( $line, 0, 10 ) == 'Reinforced' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 6 ) == 'Equip:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 6 ) == 'Chance' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 8 ) == 'Enchant:' ) {
                          $color = '00ff00; font-size: 10px;';
                  } else if ( substr( $line, 0, 9 ) == 'Soulbound' ) {
                          $color = '00ffff; font-size: 10px;';
                  } else {
                          $color='ffffff; font-size: 10px;';
                  }
          }
          $line = preg_replace('|\\>|','&#8250;', $line );
          $line = preg_replace('|\\<|','&#8249;', $line );
          if( $line != '') {
                  $tooltip = $tooltip."<span class=\"$class\" style=\"color:#$color\">$line</span><br>";
          }
  }




  $tooltip = str_replace( '"', '&quot;', $tooltip);
  $tooltip = str_replace( chr(10), '', $tooltip);

  return $tooltip;
//  return 'MYTOOLTIP';
}

function createBigTooltip($tooltip1, $color1, $owner1, $tooltip2, $color2, $owner2){
   return '<table><tr><td valign=top width=50%>'.sortOutTooltip($tooltip1,$color1, $owner1).
           '</td><td valign=top width=50%>'.sortOutTooltip($tooltip2,$color2,  $owner2).'</td></tr></table>';
}


function outputIconAndTooltip( $position, $row, $tooltip){
         global $img_url;
         global $img_suffix;

         $result = '';

         if (isset($row)){
           $path = $img_url.preg_replace('|\\\\|','/', $row['item_texture']).'.'.$img_suffix;
           $result.= '<span style="z-index: 1000;" onMouseover="return overlib(\''.$tooltip.'\', WIDTH, 400);" onMouseout="return nd();">'."\n";

           extract($GLOBALS);
           $result.= '<a href="'.$itemlink.urlencode($row['item_name']).'" target="_thottbot">'."\n".
                       '<img src="'.$path.'" class="icon"'." /></a>";
           $result.= '</span>';
         } else {
             $result.= '<span style="z-index: 1000;" onMouseover="return overlib(\''.$position.': No&nbsp;item&nbsp;equipped\',WIDTH,10); "onMouseout="return nd();">';
             $result.= '<img src="'.$img_url.'Interface/EmptyEquip/'.$position.'.gif" class="icon" /></a>';
             $result.= '</span>';
         }
     return $result;
}

function outputItems( $position, $row1, $row2 ) {
         $tooltip = createBigTooltip($row1['item_tooltip'],$row1['item_color'], $row1['name'],
                                          $row2['item_tooltip'],$row2['item_color'], $row2['name']);
         $result = outputIconAndTooltip($position, $row1, $tooltip) . outputIconAndTooltip($position, $row2, $tooltip);
//         $result .= ;
         return $result;
}

function item_get_two( $position, $row1, $row2 ) {
  return outputItems($position, $row1, $row2);
}

?>